Subject: Trainer Candidate - Meghna Khanna
From: Meghna Khanna <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 26 May 2021 01:51:43 -0400

| | Tech Support Test

Name | Meghna Khanna
E-mail | [email-masked]
Phone Number | (91) 9266663696
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I can commute only using Metro
Where do you currently live (area) | Paschim Vihar

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Interstar Technologies | AM | Present |
Previous Employer 1 | | | |
Previous Employer 2 | | | |

If Selected, how much time do you need to join? | 15 days

Please briefly describe your work experience specifically in training?

Techvedic Technologies Private Limited January 2015 – Aug.2019

Overall Responsibilities as Senior Trainer and Quality Analyst

➢ Working as Senior Process trainer and quality analyst for Technical sales, Tech Support

and Customer Support.

➢ Handling training for US, UK and France
➢ Responsible for hiring new candidates.
➢ Responsible for Class room training along with clearance for OJT learning phase and
conducting refresher trainings.
➢ Conducting training sessions for soft skills and communication
➢ Devising and establishing company's quality procedures, standards and specifications.
➢ Ensuring adherence to quality parameters and compliance guidelines.
➢ Weekly and monthly process review meetings with Management, TL’s and QA’s.
➢ Discussions with Management, Team Leaders and QA’s, in order to implement necessary
changes for process improvement.
➢ Preparing training and quality MIS.
➢ Responsible for Quality Audits for FTEs during OJT and auditing sales calls and charge back
calls.
➢ Giving one on one feedback to FTEs and tracking improvement
NetAmbit Infosource Solutions March 2012 – Oct. 2014

Overall Responsibilities as Manager Training
➢ Managing a team of 7 trainers.
➢ Training Content preparation.
➢ Conducting T3 and TNA in accordance to Operations requirement.
➢ Looking after the training life cycle for new hires.
➢ Reviewing training effectiveness and planning changes according to the process
requirement.
➢ Managing training MIS
➢ Conducting training sessions for soft skills, communication and process training.
➢ Monitoring call quality.
➢ Conducting one on one feedback sessions.
➢ Preparing training calendar and dashboard.
➢ Conducting pre and post assessment.
EMPOWER Manpower Solutions Pvt. Ltd Sep.09 – Jan.2012
Overall Responsibilities as Center Manager-Training and Operations, Empower-BPO
➢ Managing a team of 90 employees.
➢ Conducting soft skills and process training for outbound and inbound processes.
➢ Content Development
➢ Conducting TNA for trainees and give them feedback
➢ Preparing Training schedules
➢ Conducting TOT.
➢ Customizing trainings as per SLA and client’s requirement.
➢ Managing Training MIS
➢ Setting up and running operations for the specific centers.
➢ Ensuring the highest level of service for the client.
➢ Enhancing development, growth and portraying leadership of effective management and
encouragement of team work.
➢ Ensure service delivery metrics & productivity is maintained across campaigns.
➢ Identify areas of improvement.
➢ Give feedback to managers & supervisors on regular basis to improve performance.
➢ Conduct regular review with operations team.
➢ Ensure smooth functioning of all departments & adherence to systems and processes
➢ Reviewer and appraiser of all employees and their functions
➢ Effective batch scheduling, center management & overall business planning &
implementation
➢ Manage day to day service delivery by liaison with the vendor management.
➢ Scheduling and optimization for better agent utilization
➢ Oversee hiring process.
➢ Develop and train managers, supervisors and call center agents
➢ Reviewing the performance of staff, identifying staff training needs and planning training
sessions
➢ Setting and meeting performance targets for speed, efficiency and quality➢ Planning and managing change.
➢ Manage call flow, adjusting as necessary
➢ Relationship management with clients and handling escalations for quick resolution
➢ Recording statistics, the performance levels of the center and MIS Preparation
➢ Analyzing MIS reports to capture trends and process improvements
➢ Coordination with support departments and other functions
Empower School Of Health- Master Trainer
➢ Facilitating Accent Neutralization, Communication, Soft skills and Personality Development
Sessions - for PG Batch in Clinical Research and Pharmacovigilance.
➢ Trainee’s counseling for improving performance.
➢ Working as global coordinator for different projects from World Health Organization.
Empower Pragati Vocational Services Pvt. Ltd. (Non-Profit Organization)
➢ Conducting trainings for Debt Recovery Agents on behalf of Indian Institute of Banking and
Finance for Sparsh BPO
➢ Managing Vocational trainings like CSR, Hospitality, Spoken English and Basic Computers,
for Empower Pragati, a unit of Empower Manpower Solutions Pvt. Ltd.
➢ Content Development
➢ Conducting TNA for trainees and give them feedback
➢ Placing the trainers at different locations and maintaining the training calendar
➢ Managing a team of 25 trainers
➢ Preparing Training schedules
➢ Conducting TOT.
➢ Customizing trainings as per SLA and client’s requirement.
➢ Managing Training MIS
Human Factor Training Solutions Pvt. Ltd. June 05 – July.09
Overall Responsibilities as Trainer
➢ Conducted retail training for ABRL for its MORE Stores in Mumbai and Delhi
➢ Sales Training for HDFC Bank for front line executives in Personal Loan, Credit Card
Department.
➢ Training new hire batches for Nipuna, GENPACT, NIIT Smart serve
Training Content: Accent Neutralization, Soft Skills, Personality Development
➢ Conducting refresher trainings
➢ Designing Training Modules
➢ Maintaining Training MIS
Convergys India Services Pvt. Ltd. Dec.01- Mar.05
Overall Responsibilities in Convergys India Services (Pvt.) Ltd. as Tech Team Member
(Operations)
➢ Providing online Technical support to the customers and solving their hardware and
software issues.

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | As a trainer or team manager most essential aspect of handling a batch or team is that I shall not consider myself as a single entity person but I become like 10 or 20 different people sitting in for training or my team....I don't mind coming to my trainee's level or team member's level and explain things to them...I have not faced attrition due to issues in training atleast....for me challenge is when there is a will issue...I will try and clear concepts n number of times but if someone's arrogance and mindset becomes a road block for the person himself and others I would not mind cutting the loose end...
What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | A good cx service is providing your CX with what the company's cx service catalogue says but a great CX service is where you can give your CX exceptional service that make him brand loyal and he returns to you at his free will. Now offcourse you can't over promise but a genuine effort to help CX will always give you an upper hand than the competitors.
What according to you makes you a good candidate for this position? | Actions speak louder than words and in all the organizations that I have worked and currently working my team and my seniors have had full faith and trust in me...that was one of the reason when being in support function my department was non functional during lockdown, I was asked to continue with my duties single handedly and my reporting went directly to the Director of my company...
On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |